(file) Return to lsb-pegasus.rc CVS log (file) (dir) Up to [Pegasus] / pegasus / rpm

  1 karl  1.2 #//%2006////////////////////////////////////////////////////////////////////////
  2           #//
  3           #// Copyright (c) 2000, 2001, 2002 BMC Software; Hewlett-Packard Development
  4           #// Company, L.P.; IBM Corp.; The Open Group; Tivoli Systems.
  5           #// Copyright (c) 2003 BMC Software; Hewlett-Packard Development Company, L.P.;
  6           #// IBM Corp.; EMC Corporation, The Open Group.
  7           #// Copyright (c) 2004 BMC Software; Hewlett-Packard Development Company, L.P.;
  8           #// IBM Corp.; EMC Corporation; VERITAS Software Corporation; The Open Group.
  9           #// Copyright (c) 2005 Hewlett-Packard Development Company, L.P.; IBM Corp.;
 10           #// EMC Corporation; VERITAS Software Corporation; The Open Group.
 11           #// Copyright (c) 2006 Hewlett-Packard Development Company, L.P.; IBM Corp.;
 12           #// EMC Corporation; Symantec Corporation; The Open Group.
 13           #//
 14           #// Permission is hereby granted, free of charge, to any person obtaining a copy
 15           #// of this software and associated documentation files (the "Software"), to
 16           #// deal in the Software without restriction, including without limitation the
 17           #// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 18           #// sell copies of the Software, and to permit persons to whom the Software is
 19           #// furnished to do so, subject to the following conditions:
 20           #// 
 21           #// THE ABOVE COPYRIGHT NOTICE AND THIS PERMISSION NOTICE SHALL BE INCLUDED IN
 22 karl  1.2 #// ALL COPIES OR SUBSTANTIAL PORTIONS OF THE SOFTWARE. THE SOFTWARE IS PROVIDED
 23           #// "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
 24           #// LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 25           #// PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 26           #// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 27           #// ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 28           #// WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 29           #//
 30           #//==============================================================================
 31 konrad.r 1.1 #! /bin/sh
 32              #%/////////////////////////////////////////////////////////////////////////////
 33              #
 34              # Copyright (c) 2004 BMC Software, Hewlett-Packard Company, IBM,
 35              # The Open Group, Tivoli Systems
 36              #
 37              # Permission is hereby granted, free of charge, to any person obtaining a copy
 38              # of this software and associated documentation files (the "Software"), to
 39              # deal in the Software without restriction, including without limitation the
 40              # rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 41              # sell copies of the Software, and to permit persons to whom the Software is
 42              # furnished to do so, subject to the following conditions:
 43              # 
 44              # THE ABOVE COPYRIGHT NOTICE AND THIS PERMISSION NOTICE SHALL BE INCLUDED IN
 45              # ALL COPIES OR SUBSTANTIAL PORTIONS OF THE SOFTWARE. THE SOFTWARE IS PROVIDED
 46              # "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
 47              # LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 48              # PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 49              # HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 50              # ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 51              # WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 52 konrad.r 1.1 #
 53              #==============================================================================
 54              #
 55              # Author: Konrad Rzeszutek <konradr@us.ibm.com>
 56              #
 57              #%/////////////////////////////////////////////////////////////////////////////
 58              
 59              ### BEGIN INIT INFO
 60              # Provides: lsb-pegasus
 61              # Required-Start: $syslog $network
 62              # Should-Start: $time 
 63              # Required-Stop: $syslog  
 64              # Default-Start:  3 5
 65              # Default-Stop: 0 1 2 6
 66              # Description:    init script for Pegasus CIMServer
 67              ### END INIT INFO
 68              
 69              CIMSERVER_BIN=/opt/lsb-pegasus/sbin/cimserver
 70              prog=cimserver
 71              
 72              test -x $CIMSERVER_BIN || exit 5
 73 konrad.r 1.1 
 74              . /lib/lsb/init-functions
 75              RETVAL=0
 76              
 77              case "$1" in
 78                   start)
 79              	echo -n $"Starting up Pegasus CIMOM daemon: "
 80              	start_daemon $CIMSERVER_BIN
 81              	RETVAL=$?
 82              	[ "$RETVAL" -eq 0 ] && log_success_msg $"$prog start" || log_failure_msg $"$prog start"
 83              	echo
 84              	;;
 85              
 86                   stop)
 87              	echo -n $"Shutting down Pegasus CIMOM daemon: "
 88              	kill_proc cimserver
 89              	RETVAL=$?
 90              	[ "$RETVAL" -eq 0 ] && log_success_msg $"$prog stop" || log_failure_msg $"$prog stop"
 91              	echo
 92              	;;
 93                   status) 
 94 konrad.r 1.1 	status $CIMSERVER_BIN 
 95              	RETVAL=$?
 96              	;;
 97                   try-restart)
 98              	$0 stop && $0 start
 99              	;;
100                   restart|force-reload)
101              	$0 stop
102              	$0 start
103              	;;
104                   reload)
105              	;;
106                   *)
107              	echo "Usage: $0 {start|stop|status|restart|reload|force-reload|try-restart}"
108              	exit 1
109              esac
110              
111              exit $RETVAL
112              

No CVS admin address has been configured
Powered by
ViewCVS 0.9.2